Skip to content

Variable: CreateAppInstallInput ​

ts
const CreateAppInstallInput: z.ZodObject<{
  approveHosts: z.ZodDefault<z.ZodArray<z.ZodString>>;
  autoUpgrade: z.ZodDefault<z.ZodEnum<{
     compatible: "compatible";
     off: "off";
  }>>;
  comment: z.ZodOptional<z.ZodString>;
  config: z.ZodDefault<z.ZodRecord<z.ZodString, z.ZodUnknown>>;
  enabled: z.ZodDefault<z.ZodBoolean>;
  name: z.ZodString;
  versionId: z.ZodGUID;
}, z.core.$strip>;

POST /app-installs: a new install of the app versionId belongs to.

Released under the Apache-2.0 License.